QT开发安卓APP对于android6.0的适用? 40C

之前别人用QT开发了一个在Android4.0上使用的APP,现在安卓设备改变,变成了Android6.0。使用当初相同的代码,导入到新的Android设备中,Android设备黑屏一段时间,APP自己就关了,请问这是什么原因导致的呢?或者我应该修改之前的代码的哪些部分?进行怎样的操作呢?刚开始研究Qt on Android,还望各位大神不吝赐教,谢谢!

1个回答

适配了4.0在6.0上启动失败,可以看下APP的闪屏页是否是调用了危险权限。

Android6.0之后不但需要在系统清单中声名权限,对于一些危险权限还需要向用户申请。

z1101558280
-ping999 回复weixin_37027259: 对QT不懂,但是针对问题解决问题这种还是好办的,你可以看下CarshLog,将对应的log百度就可解决问题
一年多之前 回复
weixin_37027259
巴扎黑酋长 那我在QT里应该做些什么操作?请问你之前搞过Qt on Android吗,因为据我所知好像机理不太一样。
一年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!